Package com.emc.d2fs.interfaces

# Interface IBravaIViewerPublicationService

public interface IBravaIViewerPublicationService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkIfDocumentIsMIPProtectedForCSR(Context context, String contextUid, String docId)`
  `Map<String,String>`
  `getMarkupMigrationStatus(Context context, List<String> ObjectIds)`
  `String`
  `getMarkupMigrationStatusByDocId(Context context, String docId)`
  `String`
  `getPublication(Context context, com.documentum.otiv.publication.utils.OTIVPublicationParamsUtil otivPublicationParams)`
  `List<String>`
  `getPublicationForMultipleDocuments(Context context, Map<String,String> objectInfoMap, com.documentum.otiv.publication.utils.OTIVPublicationParamsUtil otivPublicationParams)`
  `Map<String,String>`
  `getUserInfo(Context context, String loginToken)`

- ## Method Details

  - ### getPublication

    String getPublication(Context context, com.documentum.otiv.publication.utils.OTIVPublicationParamsUtil otivPublicationParams) throws Exception
    Throws:
      `Exception`

  - ### getPublicationForMultipleDocuments

    List<String> getPublicationForMultipleDocuments(Context context, Map<String,String> objectInfoMap, com.documentum.otiv.publication.utils.OTIVPublicationParamsUtil otivPublicationParams) throws Exception
    Throws:
      `Exception`

  - ### getMarkupMigrationStatus

    Map<String,String> getMarkupMigrationStatus(Context context, List<String> ObjectIds) throws Exception
    Throws:
      `Exception`

  - ### getUserInfo

    Map<String,String> getUserInfo(Context context, String loginToken) throws Exception
    Throws:
      `Exception`

  - ### getMarkupMigrationStatusByDocId

    String getMarkupMigrationStatusByDocId(Context context, String docId) throws Exception
    Throws:
      `Exception`

  - ### checkIfDocumentIsMIPProtectedForCSR

    boolean checkIfDocumentIsMIPProtectedForCSR(Context context, String contextUid, String docId) throws Exception
    Throws:
      `Exception`